Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 142)
@@ -1,84 +1,74 @@
-; $Id$
-;
-; Copyright (c) 1983-1998, Research Systems, Inc.  All rights reserved.
-;	Unauthorized reproduction prohibited.
-
 ;
 ;+ 
-; NAME:
-;	VELOVECT
 ;
-; PURPOSE:
-;	Produce a two-dimensional velocity field plot.
+; @file_comments
+; Produce a two-dimensional velocity field plot.
 ;
-;	A directed arrow is drawn at each point showing the direction and 
-;	magnitude of the field.
+; A directed arrow is drawn at each point showing the direction and 
+; magnitude of the field.
 ;               
-; CATEGORY:
-;	Plotting, two-dimensional.
-;
-; CALLING SEQUENCE:
-;	VELOVECT, U, V [, X, Y]
-;
-; INPUTS:
-;	U:	The X component of the two-dimensional field.  
-;		U must be a two-dimensional array.
-;
-;	V:	The Y component of the two dimensional field.  Y must have
-;		the same dimensions as X.  The vector at point [i,j] has a 
-;		magnitude of:
-;
-;			(U[i,j]^2 + V[i,j]^2)^0.5
-;
-;		and a direction of:
-;
-;			ATAN2(V[i,j],U[i,j]).
-;
-; OPTIONAL INPUT PARAMETERS:
-; 	X:	Optional abcissae values.  X must be a vector with a length 
-;		equal to the first dimension of U and V.
-;
-;	Y:	Optional ordinate values.  Y must be a vector with a length
-;		equal to the first dimension of U and V.
-;
-; KEYWORD INPUT PARAMETERS:
-;	COLOR:	The color index used for the plot.
-;
-;	DOTS:	Set this keyword to 1 to place a dot at each missing point. 
-;		Set this keyword to 0 or omit it to draw nothing for missing
-;		points.  Has effect only if MISSING is specified.
-;
-;	LENGTH:	Length factor.  The default of 1.0 makes the longest (U,V)
-;		vector the length of a cell.
-;
-;       MISSING: Missing data value.  Vectors with a LENGTH greater
-;		than MISSING are ignored.
-;
-;       OVERPLOT: Set this keyword to make VELOVECT "overplot".  That is, the
-;               current graphics screen is not erased, no axes are drawn, and
-;               the previously established scaling remains in effect.
+; @categories
+; Plotting, two-dimensional.
 ;
 ;
-;	Note:   All other keywords are passed directly to the PLOT procedure
-;		and may be used to set option such as TITLE, POSITION, 
-;		NOERASE, etc.
-; OUTPUTS:
-;	None.
+; @param U {in}{required}
+; The X component of the two-dimensional field.  
+; U must be a two-dimensional array.
 ;
-; COMMON BLOCKS:
-;	None.
+; @param V {in}{required}
+; The Y component of the two dimensional field.  Y must have
+; the same dimensions as X.  The vector at point [i,j] has a 
+; magnitude of:
 ;
-; SIDE EFFECTS:
-;	Plotting on the selected device is performed.  System
-;	variables concerning plotting are changed.
+;	(U[i,j]^2 + V[i,j]^2)^0.5
 ;
-; RESTRICTIONS:
-;	None.
+; and a direction of:
 ;
-; PROCEDURE:
-;	Straightforward.  Unrecognized keywords are passed to the PLOT
-;	procedure.  
+;	ATAN2(V[i,j],U[i,j]).
 ;
-; MODIFICATION HISTORY:
+; @param X {in}{optional}
+; Optional abcissae values.  X must be a vector with a length 
+; equal to the first dimension of U and V.
+;
+; @param Y {in}{optional}
+; Optional ordinate values.  Y must be a vector with a length
+; equal to the first dimension of U and V.
+;
+; @keyword COLOR
+; The color index used for the plot.
+;
+; @keyword DOTS
+; Set this keyword to 1 to place a dot at each missing point. 
+; Set this keyword to 0 or omit it to draw nothing for missing
+; points.  Has effect only if MISSING is specified.
+;
+; @keyword LENGTH
+; Length factor.  The default of 1.0 makes the longest (U,V)
+; vector the length of a cell.
+;
+; @keyword MISSING
+;  Missing data value.  Vectors with a LENGTH greater
+; than MISSING are ignored.
+;
+; @keyword OVERPLOT
+; Set this keyword to make VELOVECT "overplot".  That is, the
+; current graphics screen is not erased, no axes are drawn, and
+; the previously established scaling remains in effect.
+; 
+; @keyword CLIP
+; 
+; @keyword NOCLIP
+;
+; @keyword _EXTRA
+; Used to pass your keywords.
+;
+; @restrictions 
+; Plotting on the selected device is performed.  System
+; variables concerning plotting are changed.
+; Note:   All other keywords are passed directly to the PLOT procedure
+;	and may be used to set option such as TITLE, POSITION, 
+;	NOERASE, etc.
+;
+; @history
 ;	DMS, RSI, Oct., 1983.
 ;	For Sun, DMS, RSI, April, 1989.
@@ -96,4 +86,11 @@
 ;       February, 1998, DLD.  Add support for CLIP and NO_CLIP keywords.
 ;       June, 1998, DLD.  Add support for OVERPLOT keyword.
+;
+; Copyright (c) 1983-1998, Research Systems, Inc.  All rights reserved.
+;	Unauthorized reproduction prohibited.
+;
+; @version
+; $Id$
+;
 ;-
 ;
Index: /trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 142)
@@ -3,46 +3,55 @@
 ;------------------------------------------------------------
 ;+
-; NAME:axe
-;
-; PURPOSE:gerre les axes pour les differents dessins crees par plt,
-; pltz et pltt
-;
-; CATEGORY:environnement graphique
-;
-; CALLING SEQUENCE:axe,coupe[,tempsmin,tempsmax]
-;
-; INPUTS:
-;        coupe: un string qui designe le type de coupe auquel doit de
-;        raporter les axes que l''on cree. par ex: 'xy','xt'...
-;
-;        tempsmin et tempsmax: ds le cas ou l''on fait une coupe
-;        contenant la dimension temps, il faut specifier le debut et
-;        la fin de l''axe des temps en jours julien.
-;
-; KEYWORD PARAMETERS: /SIN active qd on trace en sinus de la latitude
-;
-;        SEPDATE: string separant les differents constituants de la
-;        date. Par defaut c''est un retour a la ligne qd on fait un
-;        'yt', 'zt' ou 't' dans les autres cas c''est un blanc. 
-;
-;        DIGITSYEAR=2 to use %Z format (2 digits) to code years
-;        instead of %Y format. See help of label_date for more
-;        informations on %Z and %Y.
-;
-; OUTPUTS:les variables globales d''environnement graphique: !x. et !y.
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:modifie !x. et !y.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @file_comments
+; Manage axes for the different drawings created by plt,
+; pltz and pltt
+;
+; @categories 
+; Graphic environment
+;
+; @param COUPE
+; It is a string designating the type of cut to which the axes we create 
+; must report. For example: 'xy','xt'...
+;
+; @param TEMPSMIN {in}{required}
+; In the case where we do cut containing the time dimension, we have 
+; to specify the beginning of the time's axis in julian days.
+;
+; @param TEMPSMAX {in}{required}
+; In the case where we do cut containing the time dimension, we have 
+; to specify the end of the time's axis in julian days.
+;
+; @keyword SIN 
+; activated when we trace in sinus of the latitude
+;
+; @keyword SEPDATE
+; string separating the différent constituents of the date. By default, 
+; it is a return to the linewhen we do a 'yt', 'zt' or a 't'. 
+; In the other cases, it is a blank. 
+;
+; @keyword DIGITSYEAR
+; =2 to use %Z format (2 digits) to code years
+; instead of %Y format. See help of label_date for more
+; informations on %Z and %Y.
+;
+; @keyword _EXTRA 
+; used to pass your keywords
+; 
+; @uses
+; common.pro
+;
+; @restrictions
+; It modify !x. and !y.
+;
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       11/12/98
 ;                       Eric Guilyardi types x,y,z + amelioration de
 ;                       l''axe temporel
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -56,6 +65,6 @@
    tempsun = systime(1)         ; pour key_performance
 ;--------------------------------------------------------------
-; gestion des ticks de l'axe des temps ds le ces ou tempsmin et
-; tempsmax sont definits
+; Management of ticks of the time axis in the case of TEMPSMIN 
+; and TEMPSMAX are definied
 ;--------------------------------------------------------------
    divday = 0
@@ -73,5 +82,5 @@
       if ymax EQ ymin then BEGIN
          if mmin ne mmax then BEGIN
-; meme annee mais plusieurs mois
+; Same year but several monthes
             nticks = mmax-mmin+1
             ticknom = lonarr(nticks)
@@ -79,8 +88,8 @@
             tminor = 6
             datfmt = '%M'+sep+fmtyr
-; on verifie que les labels rentrent bien entre tempsmin et tempsmax...
+; We check that labels are betwenn TEMPSMIN and TEMPSMAX...
             ticknom = ticknom[where(ticknom GE tempsmin AND ticknom LE tempsmax AND ticknom NE -1)]
             nticks = n_elements(ticknom)
-; cas particulier ou l''on est a cheval sur 2 mois
+; Particular case where we are overlap two monthes
             if nticks LE 1 then begin
                nticks = (dmax+(jourdsmois(mmin, ymin))[0]-dmin+1)/2
@@ -94,5 +103,5 @@
             endif
          ENDIF ELSE BEGIN 
-; meme annee et meme mois
+; Same year and same month
             IF dmax-dmin+1 GT 4 THEN BEGIN ; more than 4 days
                nticks = dmax-dmin+1
@@ -116,5 +125,5 @@
          ENDELSE 
       ENDIF ELSE BEGIN 
-; plusieurs annees
+; Several years
          CASE 1 OF
          ymax-ymin+1 LE 10: BEGIN & freq = 1. & tminor = 12 & datfmt = '%M'+sep+fmtyr & end
@@ -131,8 +140,8 @@
          ticknom = lonarr(nticks)
          for y = 0, nticks-1 do ticknom[y] = julday(1, 1, yminf+(y*freq), _EXTRA = ex)
-; on verifie que les labels rentrent bien entre tempsmin et tempsmax...
+; We check that labels are betwenn TEMPSMIN and TEMPSMAX...
          ticknom = ticknom[where(ticknom GE tempsmin AND ticknom LE tempsmax AND ticknom NE -1)]
          nticks = n_elements(ticknom)
-; cas particulier ou l''on est a cheval sur 2 annees
+; Particular case where we are overlap two monthes
          if nticks LE 1 then begin
             nticks = (mmax+12)-mmin+1
@@ -143,6 +152,6 @@
             tminor = 6
             datfmt = '%M'+sep+fmtyr
-; cas particulier ou l''on est a cheval sur 2 mois
-            if nticks LE 1 then begin
+ ; Particular case where we are overlap two monthes
+           if nticks LE 1 then begin
                nticks = (dmax+(jourdsmois(mmin, ymin))[0]-dmin+1)/2
                ticknom = lonarr(nticks)
@@ -160,5 +169,5 @@
    ENDIF 
 ;--------------------------------------------------------------
-; definition des parametres des axes au cas par cas
+; Definition of axes parameters case by case
 ;--------------------------------------------------------------
    case coupe of
@@ -173,11 +182,11 @@
          if keyword_set(reverse_y) then !y.range=[0, -1] ELSE !y.range = [-1, 0]
          if keyword_set(sin) then BEGIN
-; nombre de ticks par defaut
+; number of ticks by default
             plot, [0], [0], /noerase, /nodata, xtick_get = xaxe
-; on augmente ce nombre pour qu''il soit autour de 10 
+; We increase this number to it be around 10 
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
             ticks = ticks[(sort(abs(ticks-10)))[0]]
-; on recupere l''axex pour ce nouveau nombre de ticks
+; We recuperate the x axis for this new number of ticks
             plot, [0], [0],xticks = ticks, /noerase, /nodata, xtick_get = xaxe
             !x.ticks = ticks
@@ -254,11 +263,11 @@
       'y' : begin
          if keyword_set(sin) then BEGIN
-; nombre de ticks par defaut
+; Number of ticks by default
             plot, [0], [0], /nodata, /noerase, xstyle = 5, ystyle = 5, xtick_get = xaxe
-; on augmente ce nombre pour qu''il soit autour de 10 
+; We increase this number to it be around 10 
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
             ticks = ticks[(sort(abs(ticks-10)))[0]]
-; on recupere l''axex pour ce nouveau nombre de ticks
+; We recuperate the x axis for this new number of ticks
             plot, [0], [0],xticks = ticks,/nodata,/noerase,xstyle=5,ystyle=5,xtick_get=xaxe
             !x.ticks = ticks
Index: /trunk/SRC/ToBeReviewed/PLOTS/legende.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/legende.pro	(revision 142)
@@ -3,40 +3,46 @@
 ;------------------------------------------------------------
 ;+
-; NAME:legende.pro
-;
-; PURPOSE:fournit les legendes
-;
-; CATEGORY:graph annexe
-;
-; CALLING SEQUENCE:legende, mi,ma,coupe,title,subtitle,xtitle,ytitle
-;
-; INPUTS:mi et ma: le max et le min du dessin (cf plt.pro et pltz.pro)
-;	 coupe=caractere de 2 lettres donnant le type de coupe (par ex:'xz')
-;
-; KEYWORD PARAMETERS:
-;
-;	TITRE: chaine de caracteres qui doit etre le titre du dessin. Par
-; defaut le titre est le nom vairmer du champ
-;
-;       ENDPOINTS:utilise qd on fait des coupes veticales en diagonale
-;
-; OUTPUTS:le titre, sous-titre,titre de x et titre de y
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS: l''utilisation de la variable globale langage permet
-; de changer de langue ou de facon de legender facilement. On peut
-; facilement personnaliser la chose en rajoutant un cas au case sur la
-; valeur de langage.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @file_comments
+; Provide caption
+;
+; @categories
+; graphic, annex
+;
+; @param MI {in}{required}
+; The min of the drawing
+; 
+; @param MA {in}{required}
+; The max of the plot
+;
+; @param COUPE
+; Charactere containing two letters giving the type of the cut  (for example: 'xz').
+;
+; @keyword CONTOUR 
+; If we want to trace contours of a different field than the one 
+; whose we have the colored drawing (by examlpe E-P in color and QSR in contours). 
+; It must be a field respecting same caracteristics than the argument number one of plt.
+;
+; @keyword ENDPOINTS
+; Used when we do vertical cuts in diagonal.
+;
+; @keyword _EXTRA
+; used to pass your keywords
+; 
+; @uses
+; common.pro
+;
+; @restrictions
+; The use of the global variable langage allows to change the language and the caption easily.
+;
+; @history
+;  Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;			14/8/98
 ;                       Eric Guilyardi (ericg@lodyc.jussieu.fr) GB version
 ;			11/6/99
+;
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -95,5 +101,5 @@
 ;
 ;------------------------------------------------------------
-; definition et complement eventuelle de !p.subtitle
+; definition and possible complement of !p.subtitle
 ;------------------------------------------------------------
    if n_elements(varunit) ne 0 then unite='('+varunit+')' else unite=''
@@ -104,5 +110,5 @@
        !p.subtitle=!p.subtitle+', Int= '+strtrim(string(format=fmt_mm,intervalle), 2)
    endif
-   if size(contour, /type) EQ 8 then BEGIN ; c''est une structure
+   if size(contour, /type) EQ 8 then BEGIN ; it is a structure 
       unite='('+contour.(1)+')'
       !p.subtitle=!p.subtitle+'!C '+contourf+unite $
@@ -119,7 +125,7 @@
    endif
 ;------------------------------------------------------------
-; mise en forme des dimensions du sous domaine
-;------------------------------------------------------------
-   la1=strtrim(string(format=fmt_bt, lat1), 2)
+; Shapping of subdomain 's dimensions
+;------------------------------------------------------------  
+  la1=strtrim(string(format=fmt_bt, lat1), 2)
    la2=strtrim(string(format=fmt_bt, lat2), 2)
    lo1=strtrim(string(format=fmt_bt, lon1), 2)
@@ -128,7 +134,7 @@
    pr2=strtrim(string(format=fmt_bt, vert2), 2)
 ;------------------------------------------------------------
-; gestion de la date
-;------------------------------------------------------------
-   if n_elements(vardate) EQ 0 then vardate = ''
+; Management of the date
+;------------------------------------------------------------  
+ if n_elements(vardate) EQ 0 then vardate = ''
    if NOT keyword_set(direc) then direc = ''
    if strpos(direc, 't') NE -1 then begin
@@ -136,6 +142,6 @@
    ENDIF ELSE svardate = vardate
 ;------------------------------------------------------------
-; case sur le cas auquel s''applique la legende
-;------------------------------------------------------------
+; case on the caes where the caption is applied
+;------------------------------------------------------------   
    case coupe of
       'xy':begin          
Index: /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/plotsym.pro	(revision 142)
@@ -1,23 +1,35 @@
 ;+
-; NAME:
-;  plotsym
-; PURPOSE:
-;  function to make plotting symbols much easier.
-; Usage:
-;   plot,x,y,psym=plotsym(/circle,scale=2,/fill)
 ;
-; CATEGORY:
-;   Graphics.
+; @file_comments
+; function to make plotting symbols much easier.
+; 
+; @categories
+; Graphic.
 ;
-; Keywords:
-;  circle =  circle symbol
-;  triangle = triangle symbol
-;  diamond = diamond symbold
-;  box = box symbol
-;  line = line symbol
-;  scale = scales the symbol
-;  angle = angle the symbol should be rotated
-;  _extra = extra keywords for usersym.  These are thick, color and fill
+; @Keyword circle 
+; circle symbol
+; 
+; @Keyword TRIANGLE
+; triangle symbol
+; 
+; @Keyword DIAMOND 
+; diamond symbold
+; 
+; @Keyword BOX
+; box symbol
+; 
+; @Keyword LINE
+; line symbol
+ ;
+; @Keyword SCALE
+; scales the symbol
+; 
+; @Keyword ANGLE
+; angle the symbol should be rotated
+; 
+; @Keyword _EXTRA
+; extra keywords for usersym.  These are thick, color and fill
 ;
+; @history
 ; Written by:
 ; Ronn Kling
@@ -27,4 +39,8 @@
 ; klingrl@juno.com
 ; copyright 1999, all rights reserved
+;
+; @version
+; $Id$
+; 
 ;-
 
Index: /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/reinitplt.pro	(revision 142)
@@ -3,35 +3,46 @@
 ;------------------------------------------------------------
 ;+
-; NAME:			REINITPLT
 ;
-; PURPOSE:		This procedure will reinitialise all or a selection 
-;			ofthe system plot variables
+; @file_comments
+; This procedure will reinitialise all or a selection 
+; ofthe system plot variables
 ;
-; CATEGORY:		Plot Utility
+; @categories
+; plot Utility
 ;
-; CALLING SEQUENCE:	clearplt,/all		;clear the !p, !x, !y, !z 
-;			clearplt,/x,/z		;clear the !x and !z variables 
-;			clearplt,/x		;only clear the !x variable
-;			clearplt,/x,/invert	;clear all except the !x 
+; 
+; @keyword X
+; clear the appropriate variable
 ;
-; INPUTS:		
-;	KEYWORDS:
-;		x,y,z,p	= clear the appropriate variable
-;		all	= clear all, this is equivalent to /x,/y,/z,/p
-;		invert	= invert the logic. Clear all unselected variables.
-;			  Therefore "clearplt,/all,/invert" does nothing.
+; @keyword Y
+; clear the appropriate variable
+; 	
+; @keyword Z	
+; clear the appropriate variable
+; 
+; @keyword P
+; clear the appropriate variable
+;		
+; @keyword ALL	
+; Clear all, this is equivalent to /x,/y,/z,/p
+;		
+; @keyword INVERT
+; Invert the logic. Clear all unselected variables.
+; Therefore "clearplt,/all,/invert" does nothing.
 ;
-; OUTPUTS:	none
-;
-; COMMON BLOCKS:
-;	common.pro
-; SIDE EFFECTS:
-;		The sytem plot variables are changed.
+; @uses
+; common.pro
+; 
+; @restrictions
+; The sytem plot variables are changed.
 ;	
-; MODIFICATION HISTORY:
-;	Written by: Trevor Harris, Physics Dept., University of Adelaide,
+; @history
+; Written by: Trevor Harris, Physics Dept., University of Adelaide,
 ;		July, 1990.
 ;
-;       Sebastien Masson 7/5/98
+; Sebastien Masson 7/5/98
+;
+; @version
+; $Id$
 ;
 ;-
Index: /trunk/SRC/ToBeReviewed/PLOTS/style.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/style.pro	(revision 142)
@@ -3,21 +3,20 @@
 ;------------------------------------------------------------
 ;+
-; NAME:style
 ;
-; PURPOSE:choisit la facon de tracer les isolignes
+; @file_comments 
+; Choose the way to trace isolines.
 ;
-; CATEGORY:graphique
+; @categories
+; graphic
 ;
-; CALLING SEQUENCE:style,labstyle,level_z2d,linestyle,thick
+; @param LABSTYLE {in}{required}
+; Number to which the style of drawing choosen refer to.
+;	
+; @param LEVEL_Z2D {in}{required}
+; Vector containing values of isolignes to be traced.
 ;
-; INPUTS:labstyle: nombre auquel se refaire le styel de trace choisit
-;	 level_z2d:vecteur contenant les valeures des isolignes a tracer
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:
-;	linestyle:vecteur utilise pour definir le style des
-;	isocontours
-;       rq: pour memoire:
+; @param LINESTYLE {out}
+; Vector used to define the isocontour's style
+;       Comment: remenber:
 ;		Index	Linestyle	
 ;		0	Solid	
@@ -27,15 +26,13 @@
 ;		4	Dash Dot Dot Dot	
 ;		5	Long Dashes	
-;	thick:vecteur definissant l'epaisseur de l'isoligne 
+; 
+; @param THICK {out}
+; Vector defining the thick of the isoline.
 ;
-; COMMON BLOCKS:
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @version
+; $Id$
 ;
 ;-
@@ -49,5 +46,5 @@
    case labstyle of
       0: begin
-;serie: deux lignes continues fines, une ligne continue grasse
+;series: Two thin continuous lines, one boldface continuous line
          thick=[1,1,2]
          linestyle=[0]
@@ -55,6 +52,6 @@
       end
       1: begin
-;serie: avant le mileu des levels: tiret fin. apres trait continu fin.
-; si le mileu est dessine il est en trait continu gras
+;series: Before the middle of levels: thin dash. Then thin continuous trait.
+; If the middle of the drawing is drawn, it is in boldface continuous trait.
          impair=n_elements(level_z2d)-2*fix(n_elements(level_z2d)/2)
          a=replicate(0,fix(n_elements(level_z2d)/2))
@@ -71,6 +68,6 @@
       end
       2: begin
-;serie: avant le seuil (definit en repondant a une question): tiret fin.
-; apres trait continu fin. si le seuil est dessine il est en trait continu gras
+;series: Before the sill (defined by answering to a question): thin dash.
+; Then thin continuous trait. If the sill is drawn, it is in boldface continuous trait.
          seuil=xquestion('Quelle est la limite tirets/trait continu? ','0')
          seuil = float(seuil)
@@ -110,5 +107,5 @@
       end
       4: begin
-; trait continu gras pour 0
+; Boldface continuous trait.
          seuil = 1.e-6
          thick=replicate(.5,  n_elements(level_z2d))
Index: /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/PLOTS/symbols.pro	(revision 142)
@@ -1,17 +1,8 @@
 ;+
-; NAME:
 ;
-;         SYMBOLS
-;         
-; PURPOSE:
-;
-;         Create custom plotting symbols
-;         
-; CALLING SEQUENCE:
+; @file_comments
+; Create custom plotting symbols
 ; 
-;	  SYMBOLS,SYMBOL_NUMBER,SCALE
-;	    
-; INPUTS:
-;	 SYMBOL_NUMBER:
+; @param NSYM {in}{required}
 ;	 
 ;                1 = open circle
@@ -34,18 +25,20 @@
 ;		 32 = filled triangle
 ;		 
-;	 SCALE - size of symbols.
+; @param SCALE {in}{required}
+; size of symbols.
 ;	 
-; KEYWORD PARAMETERS:
-; 
-;		COLOR - color of symbols
+; @keyword COLOR
+; color of symbols
 ;		
-; SIDE EFFECTS:
-; 
-;           The desired symbol is stored in the user buffer and 
-;	    will be plotted if !P.PSYM = 8.
+; @restrictions
+; The desired symbol is stored in the user buffer and 
+; will be plotted if !P.PSYM = 8.
 ;
-; MODIFICATION HISTORY:
-; 
-;		Jeff Bennett, U of Colorado, 198?
+; @history
+; Jeff Bennett, U of Colorado, 198?
+;
+; @version
+; $Id$
+;
 ;-
 pro symbols,nsym,scale,color=col
Index: /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 142)
@@ -3,51 +3,58 @@
 ;------------------------------------------------------------
 ;+
-; NAME: chkeywd (change keyword)
 ;
-; PURPOSE: ds un string qui contient une commande a executer avec
-; EXECUTE par ex. On change la valeur d''un des mot cle.
-; Plus generalement, ds un string, on cherche la chaine de
-; chacarteres: ', keywdname= ..., et on change la valeur de ...
+; @file_comments
+; In a string containing an order to executewith EXECUTE by example. 
+; We change the value of one of keywords.
+; More generally, in a string, we look for the caracter chain: ', keywdname= ...,
+; and we change the value of...
 ;
-; CATEGORY: pour bidouiller des commandes passees par execute
+; @categories
+; string, keywords
 ;
-; CALLING SEQUENCE: stringout=chkeywd(stringin, keywdname, keywdvalue)
 ; 
-; INPUTS:
-;      stringin: un string
-;      keywdname: un string designant le nom du mot clef a chercher.
-;      keywdvalue: nouvelle valeur du mot clef a considerer ds stringin
+; @param STRINGIN {in}{required}
+; it is a string
 ;
-; KEYWORD PARAMETERS:
-;      pour chercher le mot cle, on cherche le premier signe = qui
-;      suit la position de keywdname. on substitue
-;      pardefaut tout le bout de string qui suit jusqu''a la prochaine
-;      virgule. avec les mots cles SEPARATOR et AFTER on peut modifier
-;      cette decoupe du string:
-;      SEPARATOR donne un chatactere avant (ou apres si AFTER est
-;      active) lequel il faut chercher la virgule qui delimite le mot
-;      cle ds le string. cf. les exemples
+; @param KEYWDNAME {in}{required}
+; it is a string designating the name of keyword to look for.
 ;
-; OUTPUTS:stringout=stringin modifie si keywdname a ete trouve ds
-; stringin
+; @param KEYWDVALUE {in}{required} 
+; The new value of the keyword to considerate in STRINGIN
 ;
-; COMMON BLOCKS:common.pro
+; @keyword SEPARATOR
+; To look for the keyword, we look for the first sign = which follow 
+; the position of keywdname. By default, we substitute the string 
+; before the comma. With the keyword SEPARATOR,we can modify the cut 
+; of the string. SEPARATOR give a caractere before the one we have to 
+; look for the comma which delimit the keyword in the string.
+; (see examples)
 ;
-; SIDE EFFECTS:
-;   
-;   Si keywdvalue est un tableau, il sera convertit en vecteur.
+; @keyword AFTER
+; To look for the keyword, we look for the first sign = which follow 
+; the position of keywdname. By default, we substitute the string 
+; before the comma. With the keyword AFTER,we can modify the cut 
+; of the string. AFTER give a caractere after the one we have to 
+; look for the comma which delimit the keyword in the string.
+; (see examples)
 ;
-; RESTRICTIONS:
+; @returns 
+; stringout=stringin modified if keywdname has been found in stringin
 ;
-;   attention cette fonction comporte des boucles, des if et des cases
-;   ds tous les sens. Elle ne doit donc pas etre utilisee avec des
-;   mots clefs de grosse taille (avec bcp d''elements et avec des
-;   elements etant de gros tableaux).
-;   le mot clef en entree ne doit pas contenir de Complex floating, de
-;   structure, de Double-precision complex, de Pointer, de Object
-;   reference, de Unsigned Integer, de Unsigned Longword Integer, de
-;   64-bit Integer, de Unsigned 64-bit Integer	
+; @uses 
+; common.pro
 ;
-; EXAMPLE:
+; @restrictions
+; If keywdvalue is an array, it will be convert in a vector.
+;
+; @restrictions
+; Beware, this function has loops, ifs ad cases everywhere. So it can 
+; not be used by big keywords (with a lot of elements which are big 
+; arrays). The input keyword must not contain Complex floatings, structure, 
+; Double-precision complex, Pointer, Object reference, Unsigned Integer, 
+; Unsigned Longword Integer, 64-bit Integer or Unsigned 64-bit Integer.
+; 
+;
+; @examples
 ;
 ;   IDL> b='ok=111, year=[1997,1998,1999], age_capitaine=35'
@@ -64,8 +71,12 @@
 ;   ok=111, year='c''est bon', /age_capitaine
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                      18/10/1999
-;                      24/11/1999: adaptation pour les mots cles
-;                      commencant par /
+;                      24/11/1999: adaptation for keywords starting by /
+; 
+; @version
+; $Id$
+;
 ;-
 ;------------------------------------------------------------
@@ -81,5 +92,5 @@
    if poskeywd EQ -1 then return, stringout
    while poskeywd NE -1 do BEGIN
-; changer un mot cle qui commence par /toto
+; change a keyword starting by /toto
       if strmid(stringout,poskeywd-1,1) EQ '/' then BEGIN
          ajoute = keywdname+'='+tostr(keywdvalue)
@@ -88,5 +99,5 @@
          poskeywd = strpos(stringout, keywdname, poskeywd)
       ENDIF ELSE BEGIN 
-; changer un mot cle qui commence par toto=
+; change a keyword sarting by toto=
          posegal = strpos(stringout, '=', poskeywd)
          if posegal EQ -1 then return, stringout
Index: /trunk/SRC/ToBeReviewed/STRING/delchr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/delchr.pro	(revision 141)
+++ /trunk/SRC/ToBeReviewed/STRING/delchr.pro	(revision 142)
@@ -1,20 +1,22 @@
 ;-------------------------------------------------------------
 ;+
-; NAME:
-;       DELCHR
-; PURPOSE:
-;       Delete all occurrences of a character from a text string.
-; CATEGORY:
-; CALLING SEQUENCE:
-;       new = delchr(old, char)
-; INPUTS:
-;       old = original text string.     in
-;       char = character to delete.     in
-; KEYWORD PARAMETERS:
-; OUTPUTS:
-;       new = resulting string.         out
-; COMMON BLOCKS:
-; NOTES:
-; MODIFICATION HISTORY:
+;
+; @file_comments
+; Delete all occurrences of a character from a text string.
+; 
+; @categories
+;
+; @param OLD {in}{required}
+; original text string.
+; 
+; @param C {in}{required}
+; character to delete.
+;
+; @keyword HELP
+;
+; @returns
+; new = resulting string.
+; 
+; @history
 ;       R. Sterner.  5 Jul, 1988.
 ;       Johns Hopkins Applied Physics Lab.
@@ -27,4 +29,8 @@
 ; routine is provided as is without any express or implied warranties
 ; whatsoever.  Other limitations apply as described in the file disclaimer.txt.
+;
+; @version
+; $Id$
+;
 ;-
 ;-------------------------------------------------------------
